Package org.apache.tools.ant.util

# Class CollectionUtils.EmptyEnumeration<E>

java.lang.Object
org.apache.tools.ant.util.CollectionUtils.EmptyEnumeration<E>

All Implemented Interfaces:
  `Enumeration<E>`

Enclosing class:
  `CollectionUtils`

@Deprecated public static final class CollectionUtils.EmptyEnumeration<E> extends Object implements Enumeration<E>
Deprecated.
An empty enumeration.

Since:
  Ant 1.6

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EmptyEnumeration()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `hasMoreElements()`
  Deprecated.
  `E`
  `nextElement()`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Enumeration

  `asIterator`

- ## Constructor Details

  - ### EmptyEnumeration

    public EmptyEnumeration()
    Deprecated.

- ## Method Details

  - ### hasMoreElements

    public boolean hasMoreElements()
    Deprecated.
    Specified by:
      `hasMoreElements` in interface `Enumeration<E>`
    Returns:
      false always.

  - ### nextElement

    public E nextElement() throws NoSuchElementException
    Deprecated.
    Specified by:
      `nextElement` in interface `Enumeration<E>`
    Returns:
      nothing.
    Throws:
      `NoSuchElementException` - always.